# Uses of Class
com.fasterxml.jackson.core.TSFBuilder

Packages that use TSFBuilder
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of TSFBuilder in com.fasterxml.jackson.core

Classes in com.fasterxml.jackson.core with type parameters of type TSFBuilder
Modifier and Type
Class
Description
`class`
`TSFBuilder<F extends JsonFactory,B extends TSFBuilder<F,B>>`
Since 2.10, Builder class is offered for creating token stream factories with difference configurations: with 3.x they will be fully immutable.
Subclasses of TSFBuilder in com.fasterxml.jackson.core
Modifier and Type
Class
Description
`class`
`JsonFactoryBuilder`
`TSFBuilder` implementation for constructing vanilla `JsonFactory` instances for reading/writing JSON encoded content.
Methods in com.fasterxml.jackson.core that return TSFBuilder
Modifier and Type
Method
Description
`static TSFBuilder<?,?>`
JsonFactory.`builder()`
Main factory method to use for constructing `JsonFactory` instances with different configuration: creates and returns a builder for collecting configuration settings; instance created by calling `build()` after all configuration set.
`TSFBuilder<?,?>`
JsonFactory.`rebuild()`
Method that allows construction of differently configured factory, starting with settings of this factory.
Constructors in com.fasterxml.jackson.core with parameters of type TSFBuilder
Modifier
Constructor
Description
`protected`
`JsonFactory(TSFBuilder<?,?> b, boolean bogus)`
Constructor for subtypes; needed to work around the fact that before 3.0, this factory has cumbersome dual role as generic type as well as actual implementation for json.